Bug 52039 - Browser mode does not always work
Summary: Browser mode does not always work
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_mbox (show other bugs)
Version: 2.3.12-beta
Hardware: All All
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2011-10-16 14:02 UTC by Sebb
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebb 2011-10-16 14:02:35 UTC
The mailing list browser mode does not appear to work at all in Opera (11.51/1087/WinXP); Opera always switches to flat view.

It always seems to work in Chrome (14.0.835.202) (at least, I've not found any boxes that don't work)

It does not always work in Firefox (7.0.1) - for some mailboxes - e.g. 

http://mail-archives.apache.org/mod_mbox/incubator-ooo-dev/201110.mbox/browser

the message list view comes up empty; it is OK when switched to flat view.

Yet an earlier mailbox from the same project:

http://mail-archives.apache.org/mod_mbox/incubator-ooo-dev/201107.mbox/browser

works OK in Firefox. July is the only one that works for me from that list.
Comment 1 Sebb 2011-10-24 23:01:51 UTC
Something has changed, because Firefox (still using 7.0.1) can now access all the months in browse mode.
Comment 2 Stefan Fritsch 2011-10-26 19:52:03 UTC
The fix for PR 50267 has been installed on mail-archives.apache.org. I am marking this PR as duplicate. If you find another mailbox that still doesn't work, please reopen.

*** This bug has been marked as a duplicate of bug 50267 ***
Comment 3 Sebb 2011-11-02 13:13:30 UTC
Still does not work in Opera.
Comment 4 Stefan Fritsch 2012-04-14 10:26:37 UTC
A load of issues have been fixed now. Can you please test with opera?
Comment 5 Sebb 2012-04-14 12:06:00 UTC
Opera (11.62/WinXP) still switches to thread view.

Fx, Chrome and Opera all appear to work, however there seems to be no difference now in the Browse and Thread views - apart from the fact that the Red header line is repeated (with different alignment) at the bottom of the Thread View, but is missing from the Browse view.
Comment 6 Sebb 2012-04-14 12:15:21 UTC
(In reply to comment #5)
> Opera (11.62/WinXP) still switches to thread view.
> 
> Fx, Chrome and Opera all appear to work, however there seems to be no
> difference now in the Browse and Thread views - apart from the fact that the
> Red header line is repeated (with different alignment) at the bottom of the
> Thread View, but is missing from the Browse view.

The page itself looks the same, but clicking on a message results in different behaviour; browse opens the message over the list.
Comment 7 William A. Rowe Jr. 2018-11-07 21:09:07 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.